/*****************************************************************************
*
* Atmel Corporation
*
* File              : usi_logger_slave.h (usi_twi_slave.h)
* Compiler          : WINAVR
* Revision          : $Revision: 1.7 $
* Date              : $Date: 26. mai 2004 11:35:34 $
* Updated by        : $Author: ltwa $
*
* Support mail      : avr@atmel.com
*
* Supported devices : All device with USI module can be used.
*                     The example is written for the ATmega169, ATtiny26 & ATtiny2313
*
* AppNote           : AVR312 - Using the USI module as a TWI slave
*
* Description       : Header file for USI_TWI driver
*
* Changes for WinAVR by Frank Jonischkies, fjonisch@gmx.de, 11.08.2005
* fr den USI-Logger angepasste, vereinfachte Version
* Tabwidth			  : 3
*
****************************************************************************/

#define BUFFER_SIZE 50				// bei greren Werten 

#define ACK			0					// diese Zeichen werden in TWI_control abgelegt
#define NACK		1
#define STOP		2
#define START		3

#define CHR_START	'<'				// diese Zeichen werden ausgedruckt jeweils fr:
#define CHR_ACK	','
#define CHR_NACK	';'
#define CHR_STOP	'>'

#define ATTINY2313

//********** USI_TWI Prototypes **********//

void     usi_twi_slave_init( void );

// Device dependant defines
#if defined (__AVR_ATmega169__)
#define DDR_USI 		DDRE
#define PORT_USI		PORTE
#define PIN_USI 		PINE
#define PORT_USI_SDA	PORTE5
#define PORT_USI_SCL	PORTE4
#define PIN_USI_SDA 	PINE5
#define PIN_USI_SCL 	PINE4

#elif defined (__AVR_ATtiny26__)
#define DDR_USI 		DDRB
#define PORT_USI		PORTB
#define PIN_USI 		PINB
#define PORT_USI_SDA	PORTB0
#define PORT_USI_SCL	PORTB2
#define PIN_USI_SDA 	PINB0
#define PIN_USI_SCL 	PINB2

#elif defined (ATTINY2313)
#define DDR_USI 		DDRB
#define PORT_USI 		PORTB
#define PIN_USI 		PINB
#define PORT_USI_SDA	PB5
#define PORT_USI_SCL	PB7
#define PIN_USI_SDA 	PINB5
#define PIN_USI_SCL 	PINB7

#else
#warning "device type not defined"
#endif

